package com.iamberry.wechat.service.bindingApp.dao.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.iamberry.wechat.core.entity.bindingApp.BindingMac;
import com.iamberry.wechat.core.entity.bindingApp.BindingMacInfo;
import com.iamberry.wechat.service.bindingApp.dao.BindingMacDao;
import com.iamberry.wechat.service.mapper.BindingMacMapper;

@Repository
public class BindingMacDaoImpl implements BindingMacDao{
	@Autowired
	private BindingMacMapper bindingMacMapper;

	@Override
	public BindingMac getOneById(int id) {
		return bindingMacMapper.getOneById(id);
	}

	@Override
	public int insert(BindingMac bindingMac) {
		return bindingMacMapper.insert(bindingMac);
	}

	@Override
	public int update(BindingMac bindingMac) {
		return bindingMacMapper.update(bindingMac);
	}

	@Override
	public List<BindingMacInfo> selectAll(BindingMacInfo bindingMacInfo) {
		return bindingMacMapper.selectAll(bindingMacInfo);
	}

	@Override
	public int getAllCount(BindingMacInfo bindingMacInfo) {
		return bindingMacMapper.getAllCount(bindingMacInfo);

	}

	@Override
	public int testExist(String macId) {
		return bindingMacMapper.testExist(macId);

	}

	@Override
	public int deleteBindingById(Integer id) {
		return bindingMacMapper.deleteBindingById(id);

	}
	
	
	
}
